-- Possible frames for movement cut and paste to GUIMoveFrames table below. --
-------------------------------------------------------------------------------
	--['CompactRaidFrameContainer'] = false,
	--['HelpFrame'] = false,
	--['GossipFrame'] = false,
	--['GuildRegistrarFrame'] = false,
	--['TicketStatusFrame'] = true,
	--['TabardFrame'] = false,
	--['TradeFrame'] = false,
	--['LootFrame'] = false,
	--['PetStableFrame'] = false,
	--['StackSplitFrame'] = false,
	--['PetitionFrame'] = false,
	--['WorldStateScoreFrame'] = false,
	--['BattlefieldFrame'] = false,
	--['ArenaFrame'] = false,
	--['ItemTextFrame'] = false,
	--['GameMenuFrame'] = false,
	--['MacOptionsFrame'] = false,
	--['CharacterModelFrame'] = true,
	--['ReputationFrame'] = true,
	--['SkillFrame'] = true,
	--['PVPBattlegroundFrame'] = false,
	--['SendMailFrame'] = true,
	--['TokenFrame'] = true,
	--['InterfaceOptionsFrame'] = false,
	--['VideoOptionsFrame'] = false,
	--['AudioOptionsFrame'] = false,
	--['BankFrame'] = false,
	--['TimeManagerFrame'] = false,
	--['LFDParentFrame'] = false,
	--['MultiBarBottomLeft'] = false,
	--['MultiBarLeft'] = false,
	--['MultiBarBottomRight'] = false,
	--['MultiBarRight'] = false,
	--['ShapeshiftBarFrame'] = false,
	--['BonusActionBarFrame'] = false,
	--['AuctionFrame'] = false,
	--['KeyBindingFrame'] = false,
	--['CraftFrame'] = false,
	--['GMSurveyFrame'] = false,
	--['InspectPVPFrame'] = true,
	--['InspectTalentFrame'] = true,
	--['ItemSocketingFrame'] = false,
	--['MacroFrame'] = false,
	--['TradeSkillFrame'] = false,
	--['ClassTrainerFrame'] = false,
	--['GuildBankFrame'] = false,
	--['GuildBankEmblemFrame'] = true,
	--['TimeManagerFrame'] = false,
	--['TokenFrame'] = true,
	--['ItemSocketingFrame'] = false,
	--['BarberShopFrame'] = false,
	--['CalendarCreateEventFrame'] = true,
	-- ['playerModelFrame'] = false,
-------------------------------------------------------------------------------
--old status bar texcoord math function
function addon:SetBarValue(bar,val1,val2, topoff, bottomoff, rightoff, leftoff, flipH,flipV)-- Accepts 3 values, bar texture, start value, and end value
	--  Keep the values within a 0-1 range
	val1=math.min(math.max(val1,0),1);
	val2=math.min(math.max(val2,0),1);
	--  Sometimes textures glitch when trying to set a width or height of 0, so handle it here
	if val1==val2 then
		bar:Hide();
		return;
	else
		bar:Show();
	end
	--  Set our low and high values
	local low,high = math.min(val1,val2),math.max(val1,val2);
	
	
	if bottomoff ~= 0 then
	
	end
	if topoff ~= 0 then

	end
	if rightoff ~= 0 then
	
	end
	if leftoff ~= 0 then
	
	end
	
	--  Find our parent width and height
	local parent=bar:GetParent();
	local w,h=parent:GetWidth(),parent:GetHeight();
	--  Get our point set, we'll use this to get our bar orientation
	local point=bar:GetPoint(1);
	if not point then return; end-- Handle if point isn't set, perhaps cleared?
	--  These are our temp origin variables (note one of these pairs can have both vars nil, just use default texcoords for those)
	local origL=point:find("LEFT$");
	local origR=point:find("RIGHT$");
	local origT=point:find("^TOP");
	local origB=point:find("^BOTTOM");
	--  Reset point (logic nightmare)
	bar:SetPoint(point
		,(origL or origR) and (origL and low*w or -low*w) or 0--    X offset
		,(origT or origB) and (origB and low*h or -low*h) or 0--    Y offset
	);
	--  Texcoord/Size set (this is actually the easy part)
	local l,r,t,b = 0,1,0,1;--    Texcoords are in the range of 0-1 with their origin at top left
	if origL then
		l,r = low, high;
	elseif origR then
		l,r = 1-high,1-low;
	end
	if origT then
		t,b = low,high;
	elseif origB then
		t,b = 1-high,1-low;
	end
	--  Process flip (affects which side the bar piece is drawn from too)
	if flipH then l,r=1-l,1-r; end
	if flipV then t,b=1-t,1-b; end
	
	bar:SetTexCoord(l,r,t,b);
	bar:SetWidth(w*math.abs(r-l));
	--bar:SetWidth(w*(r-l));
	bar:SetHeight(h*math.abs(b-t));
	--bar:SetHeight(h*(b-t));
end
